﻿<div class="text-center">

    <h1 style=" color: #2E86C1">Aplicación de Notas</h1>

</div>

<div>
<br />
</div>
<form class="float-right" action="/" enctype="multipart/form-data" method="get">
    <div class="form-group mb-2">
        <input  id="Nombre" type="search" placeholder="Buscar nota / Tags" name="search">
        <button class="btn btn-primary" id="buscar" type="submit"> Buscar</button>
    </div>
</form>

<a href="#" data-toggle="modal" data-target="#crear" class="btn btn-primary">Tomar notas</a>
<br />
<br />

<div class="row" id="Lista">

</div>


<div class="modal fade" id="crear" tabindex="-1" aria-labelledby="crear" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Crear Nota</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="crearNotita">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-primary" onclick="submitFormCreate()">Guardar</button>
            </div>
        </div>
    </div>
</div>

@section Scripts{

    <script>
        $.ajax({
            url: '/Nota/Create',
            type: 'get'
        }).done(function (html) {
            $('#crearNotita').html(html);
        })

        function submitFormCreate() {
            $('#createNota').submit();
        }

        function guardar(event) {
            event.preventDefault();
            var dataString = new FormData($('#crear form')[0]);
            $.ajax({
                url: "/Nota/Create",
                type: "post",
                processData: false,
                contentType: false,
                cache: false,
                data: dataString
            }).done(function (html) {
                location.reload();
            }).fail(function (html) {
                $('#crearNotita').html(html.responseText);
            });
        }
    </script>

    <script>
        function init() {
            $.ajax({
                url: '/Nota/_Index?search=' + $('#Nombre').val()
            }).done(function (notas) {
                $('#Lista').html(notas);
            });
        }

        $('#buscar').click(function (e) {
            e.preventDefault();
            init();
        });
        $('.enviar').click(function (e) {
            e.preventDefault();
            init2();
        });
        init();
    </script>
}